# myApps-自定义a（o-action）标签用法


### 一、以表单的形式打开

##### 1.参数说明


| 参数        | 说明                                                         |
| ----------- | ------------------------------------------------------------ |
| action-type | opendocument：表单打开                                       |
| appid       | 软件id                                                       |
| formid      | 表单id                                                       |
| docid       | 文档id                                                       |
| isRefresh   | 关闭后是否刷新                                               |
| open-type   | 打开类型：<br />1.open-present：当前页打开<br />2.open-eject ：弹出层打开<br />3.open-tab： 标签页打开<br />4.open-blank： 新窗口打开 |
| exparams    | 额外的参数                                                   |
| parentid    | 主表的id                                                     |
| title       | 标题                                                         |


##### 2.值脚本格式

```html
<o-action action-type='opendocument' formid='formid' docid='docid' appid='appid' open-type='open-eject' isRefresh='true' dialog-width='600px' dialog-height='400px' exparams='&type=1&test=2' parentid='parentid'>弹出层打开表单</o-action>
```

### 二、以视图的形式打开

##### 1.参数说明


| 参数        | 说明                                                         |
| ----------- | ------------------------------------------------------------ |
| action-type | openview：视图打开                                           |
| appid       | 软件id                                                       |
| viewid      | 视图id                                                       |
| isRefresh   | 关闭后是否刷新                                               |
| open-type   | 打开类型：<br />1.open-present：当前页打开<br />2.open-eject ：弹出层打开<br />3.open-tab： 标签页打开<br />4.open-blank： 新窗口打开 |
| exparams    | 额外的参数                                                   |
| title       | 标题                                                         |

##### 2.值脚本格式

```html
<o-action action-type='openview' viewid='viewid' appid='appid' open-type='open-eject' isRefresh='true' dialog-width='600px' dialog-height='400px' exparams='&type=1&test=2'>弹出层打开视图</o-action>
```

### 三、视图选择框的功能

##### 1.参数说明


| 参数           | 说明                   |
| -------------- | ---------------------- |
| action-type    | viewselect：视图选择框 |
| selectOne      | 视图为单选             |
| viewid         | 视图id                 |
| isRefresh      | 确认后是否刷新         |
| okScript       | 确认条件               |
| callbackScript | 确认后执行脚本         |
| mapping        | 映射字段               |
| dialog-width   | 视图选择框宽           |
| dialog-height  | 视图选择框高           |

##### 2.值脚本格式

```html
<o-action action-type='viewselect' viewid='viewid' isRefresh='true' okScript='(function(){println("ok");})()' mapping='[{id: "NmbxmOaDksosGnhaxai", value: "映射字段"}]'  callbackScript='(function(){println("callback");})()' selectOne='true' dialog-width='600px' dialog-height='400px' >视图选择框</o-action>
```

### 四、跳转类型

##### 1.参数说明


| 参数        | 说明                                                         |
| ----------- | ------------------------------------------------------------ |
| action-type | jumpto：外部链接打开                                         |
| url         | url地址                                                      |
| title       | 头部信息                                                     |
| isRefresh   | 确认后是否刷新                                               |
| open-type   | 1.open-present：当前页打开<br />2.open-eject ：弹出层打开<br />3.open-tab： 标签页打开<br />4.open-blank： 新窗口打开 |

##### 2.值脚本格式

```html
<o-action action-type='jumpto' url='https://www.baidu.com/' title='百度' open-type=‘open-blank’>跳转百度</o-action>
```